Delete Registered client
Delete Registered client by id.
curl --request DELETE \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"message": "",
"errorHash": "5f9b2029",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}Authorizations
Authorization header using the Bearer scheme. Example: "Authorization: Bearer {Value}"
Path Parameters
The identifier of the Registered client to delete
Response
Registered client deleted
ok, serverFailure, permissionDenied, badRequest, notFound, conflict, tooManyRequest, locked, unavailableForLegalReasons A message generated by the API
User-friendly display message that can be presented to the end user
An error grouping hash from string components and caller information. Used by bugsnag on FE for correct error grouping
Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS. Format: 2-character code (e.g., "7K", "M2"). Use for alerting/routing, not display.
Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation. All possible error types are available in the documentation.
Was this page helpful?
curl --request DELETE \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"message": "",
"errorHash": "5f9b2029",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}